Loading...
Searching...
No Matches
pyro.h File Reference

Fire effect rendering - CPyro class. More...

`#include "common/error.h"`
`#include "graphics/core/color.h"`
`#include "graphics/engine/pyro_type.h"`
`#include "math/sphere.h"`
`#include "object/object_type.h"`
`#include <vector>`
Include dependency graph for pyro.h:

## Classes

class | Gfx::CPyro
| Fire effect renderer. More...
struct | Gfx::CPyro::PyroLightOper
struct | Gfx::CPyro::PyroBurnPart

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Detailed Description

Fire effect rendering - CPyro class.